UNIJOHAB2HTML(1)

NAME
unijohab2html - Show combined Hangul syllable jamo juxtaposition as a web page

SYNOPSIS
unijohab2html -i hangul-base.hex -o hangul-syllables.hex

DESCRIPTION
unijohab2html reads glyphs in a Unifont .hex file organized in a Johab 6/3/1 format (6 choseong variations, 3 jungseong variations, and 1 jongseung variation). It then produces an HTML output file showing all Hangul letters in a color-coded output in 16-by-16 cell grids: blue cells show where choseong glyphs appear; green for jungseong; and red for jongseong.

Any overlaps are shown with a combination of the colors. For example, where one or more choseong (blue) letters overlap jungseong (green), the associated cell will be blue + green = cyan. Likewise, jungseong (green) and jongseong (red) overlaps will appear as green + red = yellow, etc. There is a color key at the beginning of the HTML table.

If any overlaps of choseong and jungseong exist, these will then be output in the HTML file identifying the overlapping letters in a combined Unifont .txt file format. From these overlaps, a Hangul font creator can decide whether the overlap is acceptable or should be modified.

If an overlap is with an ancient vowel or diphthong (i.e., U+1176, HANGUL JUNGSEONG A-O through U+11A7, HANGUL JUNGSEONG O-YAE), it is marked as an "Ancient Vowel" in this ending list of overlaps. If a choseong is ancient (i.e., U+11C3, HANGUL JONGSEONG KIYEOK-RIEUL, through U+11FF, HANGUL JONGSEONG SSANGNIEUN), it is marked as "Ancient Choseong" in the output. Overlapping choseong and jungseong in the Hangul Jamo Extended-A and Extended-B ranges are listed as "Extended Ancient". This identification of ancient and extended ancient versus modern Hangul will allow a font designer to optimize modern Hangul when weighing design tradeoffs.

OPTIONS

    Option
        Function

    -h, --help
        Print a help message and exit.

    -i input_file
        Unifont hangul-base.hex formatted input file.

    -m, --modern
        Only examine modern Hangul letters.

    -o output_file
        HTML output file, viewable in a web browser.

EXAMPLES

    unijohab2html -i hangul-base.hex -o hangul-overlaps.html

    unijohab2html < hangul-base.hex > hangul-overlaps.html

FILES
Unifont .hex files in Johab 6/3/1 encoding. See unifont-johab631(5) for a description of the input file structure. This program uses functions contained in the file unihangul-support.c.

SEE ALSO
bdfimplode(1), hex2bdf(1), hex2otf(1), hex2sfd(1), hexbraille(1), hexdraw(1), hexkinya(1), hexmerge(1), johab2syllables(1), johab2ucs2(1), unibdf2hex(1), unibmp2hex(1), unibmpbump(1), unicoverage(1), unidup(1), unifont(5), unifont-johab631(5), unifont-viewer(1), unifont1per(1), unifontchojung(1), unifontksx(1), unifontpic(1), unigen-hangul(1), unigencircles(1), unigenwidth(1), unihex2bmp(1), unihex2png(1), unihexfill(1), unihexgen(1), unihexpose(1), unihexrotate(1), unijohab2html(1), unipagecount(1), unipng2hex(1)

AUTHOR
unijohab2html was written by Paul Hardy.

LICENSE
unijohab2html is Copyright © 2023 Paul Hardy.

This program is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.

BUGS
No known bugs exist.